import QtQuick 2.0
import org.shotcut.qml 1.0

Metadata {
    type: Metadata.Filter
    objectName: 'textwebvfx'
    name: qsTr("Text: Webvfx")
    mlt_service: "webvfx"
    isHidden: false
    qml: "ui.qml"
    vui: "vui.qml"
    keyframes {
        allowAnimateIn: true
        allowAnimateOut: true
        simpleProperties: ['rect', 'rotate', 'radius', 'margin', 'interlettre', 'ajust', 'border', 'fontopacity', 'fillopacity', 'borderopacity', 'fontsize']
        parameters: [
            Parameter {
                name: qsTr('Position / Size')
                property: 'rect'
                isSimple: true
                isRectangle: true
            },
            Parameter {
                name: qsTr('Rotation')
                property: 'rotate'
                isSimple: true
                isCurve: true
                minimum: -360
                maximum: 360
            },
            Parameter {
                name: qsTr('Corner Radius')
                property: 'radius'
                isSimple: true
                isCurve: true
                minimum: 0
                maximum: 1
            },
            Parameter {
                name: qsTr('Margins')
                property: 'margin'
                isSimple: true
                isCurve: true
                minimum: -profile.width
                maximum: profile.width
            },
            Parameter {
                name: qsTr('Text width')
                property: 'interlettre'
                isSimple: true
                isCurve: true
                minimum: 0
                maximum: 999
            },
            Parameter {
                name: qsTr('Ajust. V')
                property: 'ajust'
                isSimple: true
                isCurve: true
                minimum: -profile.height
                maximum: profile.height
            },
            Parameter {
                name: qsTr('Border thickness')
                property: 'border'
                isSimple: true
                isCurve: true
                minimum: 0
                maximum: 200
            },
            Parameter {
                name: qsTr('Text Opacity')
                property: 'fontopacity'
                isSimple: true
                isCurve: true
                minimum: 0
                maximum: 100
            },
            Parameter {
                name: qsTr('Frame BG opacity')
                property: 'fillopacity'
                isSimple: true
                isCurve: true
                minimum: 0
                maximum: 100
            },
            Parameter {
                name: qsTr('Frame border opacity')
                property: 'borderopacity'
                isSimple: true
                isCurve: true
                minimum: 0
                maximum: 100
            },
            Parameter {
                name: qsTr('Font size')
                property: 'fontsize'
                isSimple: true
                isCurve: true
                minimum: 2
                maximum: profile.height
            }
        ]
    }
}
